/* eslint-disable @typescript-eslint/no-var-requires */
import { getMirai } from "./common/mirai";

const start = async () => {
  const mirai = await getMirai();

  const components = process.env.SINGLE_COMPONENT
    ? [process.env.SINGLE_COMPONENT]
    : process.env.COMPONENTS?.split(",") || [
        "live-room-notifition",
        "current-time",
        "uncle-dao-summoning",
        "repeater",
      ];

  await Promise.all(
    components.map(async (c) => {
      try {
        await require(`./components/${c}`).install(mirai);
      } catch (e) {
        mirai.logger.error(`[loader] install "${c}" failed:`);
        console.error(e);
      }
      mirai.logger.success(`[loader] install "${c}" success`);
    })
  );

  mirai.listen();
};

start();
