import { initMinio } from "@gtr-infra/minio";
import { initRedis, RedisStackBuilder } from "@gtr-infra/redis";
import { onceAsync } from "@gtr/utils";

import { config } from "./config";

export const getS3 = onceAsync(() => initMinio(config.minioSecret));

export const getRedis = onceAsync(() => initRedis(config.redisSecret));
export const redisStackBuilder = new RedisStackBuilder(
  getRedis,
  config.redisLocalPrefix
);
